Gridstate
ApiV1Resource adequacy

List observed resource adequacy facts

GET
/v1/resource-adequacy

Authorization

BearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

market?string
period?string
valid_at?string
known_at?string
cursor?string
limit?integer
Range1 <= value <= 500

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/v1/resource-adequacy"
{  "data": [    {      "id": "string",      "factKey": "string",      "factVersion": "string",      "sourceId": "string",      "assetHash": "string",      "subjectId": "string",      "market": "string",      "predicate": "string",      "period": "string",      "scenario": "string",      "value": 0,      "unit": "MW",      "assertionType": "observed",      "validFrom": "2019-08-24",      "validTo": "2019-08-24",      "knownFrom": "2019-08-24T14:15:22Z",      "knownTo": "2019-08-24T14:15:22Z",      "evidence": {        "chunkId": "string",        "page": 1,        "tableId": "string",        "quote": "string",        "sourceLocator": "string",        "blockId": "string",        "boundingBox": [          0,          0,          0,          0        ],        "pageWidth": 0,        "pageHeight": 0,        "readingOrder": 0,        "sourceText": "string",        "parserConfidence": 0,        "parserConfidenceIsCalibrated": false,        "calibratedErrorProbability": null,        "calibrationStatus": "unavailable_no_independent_labels",        "route": "review_required_uncalibrated"      },      "qualityFlags": [        {          "code": "string",          "severity": "info",          "field": "string",          "message": "string"        }      ]    }  ],  "meta": {    "hasMore": true,    "limit": 1,    "nextCursor": "string",    "order": "id_asc"  }}